%define gluname			mesaglu
%define glumajor		1
%define libgluname		%mklibname %{gluname} %{glumajor}
%define libgluname_virt		lib%{gluname}

%define git 0
%define rel 2

%if %{git}
%define release			%mkrel 1.git%{git}.%{rel}
%define distname		%{name}-%{version}-%{git}
%else
%define release			%mkrel %{rel}
%define distname		%{name}-%{version}
%endif

Summary:	OpenGL Utility Library from Mesa
Name:		glu
Version:	9.0.1
Release:	%{release}
Source0:	https://mesa.freedesktop.org/archive/glu/%{distname}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		http://www.mesa3d.org/
BuildRequires:	mesagl-devel

%description
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%package -n	%{libgluname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries
Provides:	%{libgluname_virt} = %{version}-%{release}
Provides:	mesa-libGLU = %{version}-%{release}
Provides:	mesa-libglu = %{version}-%{release}

%package -n	%{libgluname}-devel
Summary:	Development files for GLU libs
Group:		Development/C
Requires:	%{libgluname} = %{version}-%{release}
Requires:	mesagl-devel
Provides:	lib%{gluname}-devel = %{version}-%{release}
Provides:	%{gluname}-devel = %{version}-%{release}
Provides:	libMesaGLU-devel = %{version}-%{release}
Provides:	MesaGLU-devel = %{version}-%{release}
Provides:	libglu-devel

%description -n	%{libgluname}
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%description -n	%{libgluname}-devel
This package contains the headers needed to compile programs with GLU.

%prep
%setup -q -n %{distname}
%autopatch -p1

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install
# .la files are not needed by mesa
find %{buildroot} -name '*.la' -exec rm {} \;

%files -n %{libgluname}
%{_libdir}/libGLU.so.%{glumajor}{,.*}

%files -n %{libgluname}-devel
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 9.0.1-2.mga8
+ Revision: 1528629
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Aug 24 2019 tmb <tmb> 9.0.1-1.mga8
+ Revision: 1431630
- update to 9.0.1

* Sun Sep 23 2018 umeabot <umeabot> 9.0.0-8.mga7
+ Revision: 1297920
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 kekepower <kekepower> 9.0.0-7.mga7
+ Revision: 1208273
- Added new Provides to satisfy Google Earth (mga#22747)
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 9.0.0-6.mga7
+ Revision: 942736
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 9.0.0-5.mga5
+ Revision: 747258
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 9.0.0-4.mga5
+ Revision: 679663
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 9.0.0-3.mga4
+ Revision: 504918
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 9.0.0-2.mga3
+ Revision: 351843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 19 2012 tv <tv> 9.0.0-1.mga3
+ Revision: 296199
- official release

* Fri Sep 07 2012 blino <blino> 9.0.0-0.git20120907.1.mga3
+ Revision: 289610
- initial glu package (split out from mesa)
- Created package structure for glu.

